#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "rroots_oo_1.h"
#include "new_poly_window.h"
#include "plot.h"

#include <QMainWindow>
#include <QFile>
#include <QTextStream>
#include <QMessageBox>
#include <QScreen>
#include <QInputMethod>
#include <Qt>

#define RESTART_CODE 1000


namespace Ui
{
class MainWindow;
}


class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QApplication *a, int screen_size, bool *ran);
    ~MainWindow();

    void UpdateView();

    int coeffs_count_m;
    CC *coeffs_list_m;

    PolySolver *solver;
    int sols_count;
    CC *sols_list;
    bool m_polish;
    bool m_reverse;

    int m_plot_size;
    int m_app_height;

    Ui::MainWindow *ui;

    void unsetReverse();

    QInputMethod *m_im;
    bool *m_ran;
    bool m_plotShowing;

public slots:
    void reenable();
    void killTheApp(Qt::ApplicationState astate);

private slots:
    void on_polishBox_stateChanged(int arg1);

    void on_reverseBox_stateChanged(int arg1);

    void on_newPolyButton_clicked();

    void showAbout();

private:

    static QString formatComplex(CC x);
    QString formatPoly();
    QString formatSolutions();

    QString *message;

    void resizeEvent(QResizeEvent*);
    void keyReleaseEvent(QKeyEvent *event);

    QApplication *m_a;
};

#endif // MAINWINDOW_H
