#ifndef NEW_POLY_WINDOW_H
#define NEW_POLY_WINDOW_H

#include "mainwindow.h"

#include <QWidget>
#include <QVBoxLayout>
#include <QLabel>
#include <QString>
#include <QSpinBox>
#include <QDoubleSpinBox>
#include <QPushButton>

#include <QApplication>

class MainWindow;

class DialogWindow : public QWidget
{

    Q_OBJECT

public:
    DialogWindow(MainWindow *parent);
    ~DialogWindow();

public slots:
    void changeSize();

signals:
    void reenable_mainw();

private slots:
    void changeDegree(int new_degree);
    void submitReceived();
    void validateBox(double attempt);
    void forward_focus();

private:
    void clearCoefficients();
    void newCoefficients(int number);
    MainWindow *m_parent;
    QVBoxLayout *m_layout;
    int m_degree;
    QDoubleSpinBox *m_coefficients;
    QSpinBox *m_degree_spinbox;
    QInputMethod *m_im;

    int m_pos_shift;

    void identCoeff(int exp);
    QLabel *m_descr;
};


#endif // NEW_POLY_WINDOW_H
