#ifndef PLOT_H
#define PLOT_H

#include "mainwindow.h"

#include <QMainWindow>
#include <QVBoxLayout>
#include <QResizeEvent>
#include <QLabel>
#include <QPixmap>
#include <QPoint>
#include <QPainter>
#include <QBrush>
#include <QPen>


class MainWindow;

class MyPlot : public QMainWindow
{

public:
    MyPlot(MainWindow *parent);
    ~MyPlot();

protected:
    void resizeEvent(QResizeEvent*);

private:
    void FindInterval();

    double min_x;
    double max_x;
    double min_y;
    double max_y;

    double scale_x;
    double scale_y;

    int m_plot_size;

    MainWindow *m_parent;

    QPointF *point_list;
    QPixmap *pixmap;
    QVBoxLayout *mVBox;
    QWidget *center_widget;
    QLabel *i_label;
    QLabel *j_label;

    double tick_interv;

    int offset_code;

//    void closeEvent(QCloseEvent *event);
};

#endif // PLOT_H
